#' This function will make a request to the Google Management API with
#' the query prepared by the \code{QueryBuilder()} and \code{ToUri()} 
#' for retrieving the GA Account data.
#' @keywords internal 
#' @param query.uri The data feed query string generated by \code{ToUri()}              
#' @return GA.Data The response as account data feed in the JSON format.
#' @importFrom httr GET
GetAcctDataFeedJSON <- function(query.uri) {
  
  GA.Data <- GET(query.uri)
  return(GA.Data)
}